Skip to content

List vault certificates

GET
/business/certificate-vault

Returns a paginated list of vault certificates for the authenticated institution.

Authorizations

Parameters

Query Parameters

per_page
integer
default: 15 >= 1 <= 100

Number of items per page (default 15, max 100)

page
integer
default: 1 >= 1

Page number (starts from 1)

search
string

Search term to filter by reference ID, certificate title, full name, or email

status
string
Allowed values: pending processing generated failed revoked

Filter by certificate status

applicant_email
string format: email

Filter by applicant email

Responses

200

Successful operation

object
data
Array<object>
object
id

Internal ID of the certificate

integer
42
uuid

Unique identifier for the certificate

string format: uuid
9e7860f0-05d1-4fd0-b3e0-e98e19f1cf15
reference_id

External reference ID for the certificate

string
VEC-IC-202567DAE48425BAD
certificate_title

Title of the certificate

string
Certificate of Achievement
full_name

Full name of the certificate recipient

string
John Smith
applicant_email

Email address of the certificate recipient

string format: email
john@example.com
source

The source of the certificate application

object
value
string
Allowed values: customer vault
vault
label
string
Vault
status

Current status of the certificate

object
value
string
Allowed values: pending processing generated failed revoked
generated
label
string
Generated
color
string
success
icon
string
heroicon-o-check-circle
description
string
Certificate has been successfully generated
issue_date

Date when the certificate was issued

string format: date
nullable
2025-06-01
created_at

Creation timestamp

string format: date-time
2025-06-01T10:00:00.000000Z
updated_at

Last update timestamp

string format: date-time
2025-06-01T10:05:00.000000Z
links
object
first

URL to the first page

string
https://api.vec.digital/business/certificate-templates?page=1
last

URL to the last page

string
https://api.vec.digital/business/certificate-templates?page=2
prev

URL to the previous page (null if on first page)

string
nullable
next

URL to the next page (null if on last page)

string
nullable
https://api.vec.digital/business/certificate-templates?page=2
meta
object
current_page

Current page number

integer
1
from

Index of the first item on the current page

integer
1
last_page

Total number of pages

integer
2
links

Pagination links

Array<object>
object
url
string
nullable
https://api.vec.digital/business/certificate-templates?page=2
label
string
2
active
boolean
path

Base URL path for pagination

string
https://api.vec.digital/business/certificate-templates
per_page

Items per page

integer
15
to

Index of the last item on the current page

integer
15
total

Total number of items

integer
25

401

Authentication failed

object
message

Error message

string
Unauthorized - Invalid API token

403

Permission denied

object
message

Error message

string
Forbidden - Insufficient permissions
required_permission

Required permission to access this resource

string
batches:view

500

Server error

object
message

Error message

string
An unexpected error occurred. Our team has been notified.
error_code

Error code

string
SERVER_ERROR